Mail archive
alpine-aports

[alpine-aports] [PATCH 1/4] testing/msgpack-c: new aport

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Tue, 2 Aug 2016 15:02:37 -0400

From: Daniel Sabogal <dsabogalcc_at_gmail.com>

https://msgpack.org
An efficient object serialization library
---
 testing/msgpack-c/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/msgpack-c/APKBUILD
diff --git a/testing/msgpack-c/APKBUILD b/testing/msgpack-c/APKBUILD
new file mode 100644
index 0000000..2447afb
--- /dev/null
+++ b/testing/msgpack-c/APKBUILD
_at_@ -0,0 +1,35 @@
+# Contributor: Daniel Sabogal <dsabogalcc_at_gmail.com>
+# Maintainer:
+pkgname=msgpack-c
+pkgver=2.0.0
+pkgrel=0
+pkgdesc="An efficient object serialization library"
+url="https://msgpack.org"
+arch="all"
+license="Boost"
+depends="musl"
+depends_dev=""
+makedepends="cmake"
+install=""
+subpackages="$pkgname-dev"
+source="msgpack-c-$pkgver.zip::https://github.com/msgpack/$pkgname/archive/cpp-$pkgver.zip"
+
+builddir="$srcdir"/msgpack-c-cpp-$pkgver
+
+build() {
+	mkdir -p "$builddir"/build
+	cd "$builddir"/build
+	cmake .. \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"/build
+	make DESTDIR="$pkgdir/" install || return 1
+}
+
+md5sums="d8d5bac93df93df10ce06fc2d6801039  msgpack-c-2.0.0.zip"
+sha256sums="9f3860bc014355dbdf6519ffb78d54d120bb8d134dcb4eba35eb5103c1ac3cd1  msgpack-c-2.0.0.zip"
+sha512sums="ad65a051f392a05a971b0dd1750d7af8b26e07c32e6eb7390a38ecad402f7ce0d3d3205b52c77ae1b82def8e7197f1df5cadbd9aa4d4087fc7f00e35c5a37d2e  msgpack-c-2.0.0.zip"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Aug 02 2016 - 15:02:37 GMT